org.apache.ignite.internal.processors.query

## Class QueryTypeIdKey

- java.lang.Object
- - org.apache.ignite.internal.processors.query.QueryTypeIdKey

    public class QueryTypeIdKey
    extends Object

Identifying TypeDescriptor by cache name and value class.

### Constructor Summary

Constructors
Constructor and Description
`QueryTypeIdKey(String cacheName, Class<?> valType)` Constructor.
`QueryTypeIdKey(String cacheName, int valTypeId)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `cacheName()`
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### QueryTypeIdKey

    public QueryTypeIdKey(String cacheName,
                          Class<?> valType)

Constructor.

Parameters:
  `cacheName` - Cache name.
  `valType` - Value type.

#### QueryTypeIdKey

    public QueryTypeIdKey(String cacheName,
                          int valTypeId)

Constructor.

Parameters:
  `cacheName` - Cache name.
  `valTypeId` - Value type ID.

### Method Detail

#### cacheName

    public String cacheName()

Returns:
  Cache name.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020